#pragma once
#include <VulcanoLE/Visual/VIZ.h>
#include <VulcanoLE/Audio/AudioGrabber.h>
#include <VulcanoLE/Keyboards/Vulcan121.h>

namespace VIZ {
    class Loudness : public VIZ {
    public:
        Loudness(AudioGrabber *pGrabber, Vulcan121 *pVulcan121);
        ~Loudness() override = default;
        void on_setup() override;
        void on_tick() override;
        float lastVal = 0;
        const char *name() override;
        std::string m_name = "Loudness Meter";
    };
}

