#pragma once

#include <vector>
#include <VulcanoLE/Scripts/Spectrum.h>

#define VIZSIZE 3

namespace VIZ {
    struct VisPlugins {
        int mode = 0;
        void init(HIDHelper *, AudioGrabber*);
        void on_startup();
        void on_tick();
        void on_shutdown();
        void setCurrentMode(int);
        ~VisPlugins();
        VUtils::Environment *env;
    protected:
        VIZ *viz[VIZSIZE]{};
        VIZ *currentVis;
        Vulcan121 *keyboard;
        AudioGrabber *grabber;
    };
}

